<?php
#### START AUTOCODE
################################################################################
#  Lumine - Database Mapping for PHP
#  Copyright (C) 2005  Hugo Ferreira da Silva
#  
#  This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#  
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#  
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>
################################################################################
/**
 * Classe generada para a tabela "configuracao"
 * in 2013-05-16
 * @author Hugo Ferreira da Silva
 * @link http://www.hufersil.com.br/lumine
 * @package Domain
 *
 */

class Configuracao extends Lumine_Base {

    // sobrecarga
    protected $_tablename = 'configuracao';
    protected $_package   = 'Domain';
    
    
    public $configuracaoid;
    public $email;
    public $senha;
    public $host;
    public $emailcontato;
    public $config1;
    public $config2;
    public $config3;
    public $config4;
    public $config5;
    public $config6;
    public $config7;
    public $config8;
    public $config9;
    public $config10;
    
    
    /**
     * get configuracaoid
     *
     */
    public function getConfiguracaoid() {
    	return $this->configuracaoid;
    }
    
    /**
     * set configuracaoid
     * @param Type $value
     *
     */
    public function setConfiguracaoid($value) {
    	$this->configuracaoid = $value;
    }
    /**
     * get email
     *
     */
    public function getEmail() {
    	return $this->email;
    }
    
    /**
     * set email
     * @param Type $value
     *
     */
    public function setEmail($value) {
    	$this->email = $value;
    }
    /**
     * get senha
     *
     */
    public function getSenha() {
    	return $this->senha;
    }
    
    /**
     * set senha
     * @param Type $value
     *
     */
    public function setSenha($value) {
    	$this->senha = $value;
    }
    /**
     * get host
     *
     */
    public function getHost() {
    	return $this->host;
    }
    
    /**
     * set host
     * @param Type $value
     *
     */
    public function setHost($value) {
    	$this->host = $value;
    }
    /**
     * get emailcontato
     *
     */
    public function getEmailcontato() {
    	return $this->emailcontato;
    }
    
    /**
     * set emailcontato
     * @param Type $value
     *
     */
    public function setEmailcontato($value) {
    	$this->emailcontato = $value;
    }
    /**
     * get config1
     *
     */
    public function getConfig1() {
    	return $this->config1;
    }
    
    /**
     * set config1
     * @param Type $value
     *
     */
    public function setConfig1($value) {
    	$this->config1 = $value;
    }
    /**
     * get config2
     *
     */
    public function getConfig2() {
    	return $this->config2;
    }
    
    /**
     * set config2
     * @param Type $value
     *
     */
    public function setConfig2($value) {
    	$this->config2 = $value;
    }
    /**
     * get config3
     *
     */
    public function getConfig3() {
    	return $this->config3;
    }
    
    /**
     * set config3
     * @param Type $value
     *
     */
    public function setConfig3($value) {
    	$this->config3 = $value;
    }
    /**
     * get config4
     *
     */
    public function getConfig4() {
    	return $this->config4;
    }
    
    /**
     * set config4
     * @param Type $value
     *
     */
    public function setConfig4($value) {
    	$this->config4 = $value;
    }
    /**
     * get config5
     *
     */
    public function getConfig5() {
    	return $this->config5;
    }
    
    /**
     * set config5
     * @param Type $value
     *
     */
    public function setConfig5($value) {
    	$this->config5 = $value;
    }
    /**
     * get config6
     *
     */
    public function getConfig6() {
    	return $this->config6;
    }
    
    /**
     * set config6
     * @param Type $value
     *
     */
    public function setConfig6($value) {
    	$this->config6 = $value;
    }
    /**
     * get config7
     *
     */
    public function getConfig7() {
    	return $this->config7;
    }
    
    /**
     * set config7
     * @param Type $value
     *
     */
    public function setConfig7($value) {
    	$this->config7 = $value;
    }
    /**
     * get config8
     *
     */
    public function getConfig8() {
    	return $this->config8;
    }
    
    /**
     * set config8
     * @param Type $value
     *
     */
    public function setConfig8($value) {
    	$this->config8 = $value;
    }
    /**
     * get config9
     *
     */
    public function getConfig9() {
    	return $this->config9;
    }
    
    /**
     * set config9
     * @param Type $value
     *
     */
    public function setConfig9($value) {
    	$this->config9 = $value;
    }
    /**
     * get config10
     *
     */
    public function getConfig10() {
    	return $this->config10;
    }
    
    /**
     * set config10
     * @param Type $value
     *
     */
    public function setConfig10($value) {
    	$this->config10 = $value;
    }
    
    /**
     * Inicia os valores da classe
     * @author Hugo Ferreira da Silva
     * @return void
     */
    protected function _initialize()
    {
        
        
        # nome_do_membro, nome_da_coluna, tipo, comprimento, opcoes
        
        $this->_addField("configuracaoid", "configuracaoid", "int", 11, array('primary' => true, 'notnull' => true, 'autoincrement' => true));
        $this->_addField("email", "email", "varchar", 250, array());
        $this->_addField("senha", "senha", "varchar", 30, array());
        $this->_addField("host", "host", "varchar", 250, array());
        $this->_addField("emailcontato", "emailcontato", "varchar", 250, array());
        $this->_addField("config1", "config1", "varchar", 300, array());
        $this->_addField("config2", "config2", "varchar", 300, array());
        $this->_addField("config3", "config3", "varchar", 300, array());
        $this->_addField("config4", "config4", "varchar", 300, array());
        $this->_addField("config5", "config5", "varchar", 300, array());
        $this->_addField("config6", "config6", "varchar", 300, array());
        $this->_addField("config7", "config7", "varchar", 300, array());
        $this->_addField("config8", "config8", "varchar", 300, array());
        $this->_addField("config9", "config9", "varchar", 300, array());
        $this->_addField("config10", "config10", "varchar", 300, array());

        
    }

    /**
     * Recupera um objeto estaticamente
     * @author Hugo Ferreira da Silva
     * @return Configuracao
     */
    public static function staticGet($pk, $pkValue = null)
    {
        $obj = new Configuracao;
        $obj->get($pk, $pkValue);
        return $obj;
    }

	/**
	 * chama o destrutor pai
	 *
	 */
	function __destruct()
	{
		parent::__destruct();
	}
	
    #------------------------------------------------------#
    # Coloque todos os metodos personalizados abaixo de    #
    # END AUTOCODE                                         #
    #------------------------------------------------------#
    #### END AUTOCODE


}
